commit:     44231c7470f3fefcb91bb5878272df21b8c888cd
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 14 11:29:54 2024 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Oct 14 11:29:54 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=44231c74

app-text/OCRmyPDF: add 16.5.0

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 app-text/OCRmyPDF/Manifest               |  1 +
 app-text/OCRmyPDF/OCRmyPDF-16.5.0.ebuild | 85 ++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/app-text/OCRmyPDF/Manifest b/app-text/OCRmyPDF/Manifest
index 1155d565c..2949a3549 100644
--- a/app-text/OCRmyPDF/Manifest
+++ b/app-text/OCRmyPDF/Manifest
@@ -1,2 +1,3 @@
 DIST OCRmyPDF-14.2.1.tar.gz 6510184 BLAKE2B 
db107170e5c7c8caac2518c9ec8b8fd24e3362ab257f9d2c601c90f2dd614ba08fdd389561def151188a72493c7cd7ae2e24d6cf20458661470ad4f8505ab17a
 SHA512 
68a834325f2154e8fc8eccc1276dfca7fa04a44c5144f1d20b331bbf91625d5826f13652c05a433390b5cc5f9a821797ab0d8e7b0c05bcf5f7350b2077ed48ff
 DIST OCRmyPDF-16.3.1.tar.gz 6692005 BLAKE2B 
f884cfbf0f69b09c5e6fcf7c35922ee85ca1df2b6a7644def5f923777d58f85a221e368df5f870519788f9ee5296c81dfaa491703ab0bb67407fa4f04293a3d3
 SHA512 
2e7db0cc236475a4bb95695e0d2fb9617a74342ba45f10ed016a263237360f6053ee74fd78a2fc2a7f9c135e104413d886646c147e63cfa461e2321ba472cbd9
+DIST OCRmyPDF-16.5.0.tar.gz 6693450 BLAKE2B 
b817059fa49ba26a5887cd3525a58d168c2d265a90221071dd56f4de1d4130080ecb347edc7bd66fad6f8aee8b0e1c8bbf2b0d2297df761b76cc603deacd39bb
 SHA512 
dfa30ae49a02c477423a5749718f73fa056ec759d8c1e835d04ede31a94f61c42ff8009e9ec7d06022685ef5c5469c52df00eb66b5717b3ec5cc4df935ac16cf

diff --git a/app-text/OCRmyPDF/OCRmyPDF-16.5.0.ebuild 
b/app-text/OCRmyPDF/OCRmyPDF-16.5.0.ebuild
new file mode 100644
index 000000000..45d141f25
--- /dev/null
+++ b/app-text/OCRmyPDF/OCRmyPDF-16.5.0.ebuild
@@ -0,0 +1,85 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..12} )
+
+inherit distutils-r1 optfeature shell-completion
+
+DESCRIPTION="OCRmyPDF adds an OCR text layer to scanned PDF files"
+HOMEPAGE="https://github.com/ocrmypdf/OCRmyPDF";
+SRC_URI="https://github.com/ocrmypdf/ocrmypdf/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="CC-BY-SA-2.5 CC-BY-SA-4.0 MIT MPL-2.0 ZLIB"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="test"
+
+RDEPEND="
+       >=app-text/ghostscript-gpl-10.01.2
+       >=app-text/pdfminer-20220319[${PYTHON_USEDEP}]
+       >=app-text/tesseract-4.1.1[jpeg,tiff,png,webp]
+       >=dev-python/coloredlogs-14.0[${PYTHON_USEDEP}]
+       >=dev-python/deprecation-2.1.0[${PYTHON_USEDEP}]
+       >=dev-python/packaging-20[${PYTHON_USEDEP}]
+       >dev-python/pikepdf-5.0.1[${PYTHON_USEDEP}]
+       >=dev-python/pillow-10.0.1[lcms,${PYTHON_USEDEP}]
+       >=dev-python/pluggy-1.0[${PYTHON_USEDEP}]
+       >=dev-python/reportlab-3.5.66[${PYTHON_USEDEP}]
+       >=dev-python/tqdm-4[${PYTHON_USEDEP}]
+       >=media-gfx/img2pdf-0.3.0[${PYTHON_USEDEP}]
+       >=dev-python/rich-13.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       test? (
+               app-text/tessdata_fast[l10n_de,l10n_en]
+               >=app-text/unpaper-6.1
+               >=dev-python/hypothesis-6.36.0[${PYTHON_USEDEP}]
+               dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+               >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+               media-libs/exempi:2
+               >=media-libs/jbig2enc-0.29
+               media-libs/libxmp
+               >=media-gfx/pngquant-2.5
+               >=dev-python/pytest-6.2.5[${PYTHON_USEDEP}]
+               >=dev-python/pytest-cov-3.0.0[${PYTHON_USEDEP}]
+               >=dev-python/pytest-xdist-2.5.0[${PYTHON_USEDEP}]
+               >=dev-python/reportlab-3.6.8[${PYTHON_USEDEP}]
+               >=dev-python/coverage-6.2[${PYTHON_USEDEP}]
+               dev-python/humanfriendly[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_IGNORE=(
+       # useless test
+       tests/test_completion.py
+)
+
+distutils_enable_tests pytest
+
+distutils_enable_sphinx docs \
+       dev-python/sphinx-issues \
+       dev-python/sphinx-rtd-theme
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+       distutils-r1_src_prepare
+       sed -e "/-n auto/d" -i pyproject.toml || die
+}
+
+src_install() {
+       distutils-r1_src_install
+       newbashcomp misc/completion/ocrmypdf.bash "${PN,,}"
+
+       dofishcomp misc/completion/ocrmypdf.fish
+}
+
+pkg_postinst() {
+       optfeature "JBIG2 optimization support" media-libs/jbig2enc
+       optfeature "image cleaning support" app-text/unpaper
+       optfeature "PNG optimization support" media-gfx/pngquant
+}

Reply via email to